Name:           perl-qpid_proton
Version:        0.4
Release:        1.1%{?dist}
Summary:        Perl language bindings for Qpid Proton

License:        ASL 2.0
URL:            http://qpid.apache.org/proton/
# The sources will show up in the official Proton release mirrors
# after 0.3.
Source0:        perl-qpid_proton-%{version}.tar.gz

BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  swig
BuildRequires:  qpid-proton-c-devel = %{version}
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(Test::More)

%{?perl_default_filter}

Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:       qpid-proton-c = %{version}


%description
%{summary}.


%prep
%setup -q

swig -perl -I/usr/include -o cproton_perl.c perl.i


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
%{_fixperms} $RPM_BUILD_ROOT/*

# delete the podfile
rm -f $RPM_BUILD_ROOT/%{_libdir}/perl5/perllocal.pod


%check
make test


%files
%doc LICENSE TODO README
%{perl_vendorarch}/*


%changelog
* Mon Apr  1 2013 Darryl L. Pierce <dpierce@redhat.com> - 0.4-1.1
- Changed the qpid-proton dependency to qpid-proton-c.
- Changed the qpid-proton-devel dependency to qpid-proton-c-devel.

* Fri Mar  1 2013 Darryl L. Pierce <dpierce@redhat.com> - 0.4-1
- Rebased on Proton 0.4.

* Fri Feb  1 2013 Darryl L. Pierce <dpierce@redhat.com> - 0.3-2
- First official release for Fedora.

* Thu Jan 31 2013 Darryl L. Pierce <dpierce@redhat.com> - 0.3-1.1
- Fixed version in changelog.
- Added BRs for Test::Exception and Test::More for tests.
- Removed unused exclusion.

* Thu Jan 31 2013 Darryl L. Pierce <dpierce@redhat.com> - 0.3-1
- Initial packaging of the Perl language bindings.
